
* { margin: 0; padding: 0; box-sizing: border-box; }

body {
    background-color: #0f172a; /* Azul bem escuro */
    font-family: 'Segoe UI', Tahoma, sans-serif;
    color: #f8fafc;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container { width: 100%; display: flex; justify-content: center; }

.card {
    background-color: #1e293b;
    padding: 40px;
    border-radius: 16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
    width: 380px;
    text-align: center;
    border: 1px solid #334155;
}

h2 { color: #3b82f6; margin-bottom: 10px; }

p { color: #94a3b8; font-size: 14px; margin-bottom: 30px; }

input {
    width: 100%;
    padding: 12px;
    margin-bottom: 15px;
    border-radius: 8px;
    border: 1px solid #334155;
    background-color: #0f172a;
    color: white;
    outline: none;
}

input:focus { border-color: #3b82f6; }

button {
    width: 100%;
    padding: 14px;
    background-color: #3b82f6;
    color: white;
    border: none;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    transition: background 0.3s, transform 0.2s;
}

button:hover {
    background-color: #2563eb;
    transform: translateY(-2px);
}